var util = require('./utils/util.js');
var api = require('./config/api.js');
var user = require('./services/user.js');

App({
  onLaunch: function () {
    var that = this;
    //获取用户的登录信息
    // user.checkLogin().then(res => {
    // }).catch(() => {
    //   user.loginByWeixin();
    // });

    // 设备信息
    wx.getSystemInfo({
      success: function (res) {
        that.globalData.systemInfo = res;
      }
    });
    console.log("that.globalData.systemInfo:"+that.globalData.systemInfo);
  },
  globalData: {
    systemInfo: '',
    userInfo: {
      nickName: '点击头像登录',
      avatarUrl: 'http://120.76.26.84:80/group1/M00/00/01/rBJEdVvr17OACigOAAAB_us54MA744.png'
    },
    token: '',
    appGoodsBizType: '00'
  }
})